[arch-commits] Commit in moc/repos (8 files)

Eric Bélanger eric at archlinux.org
Fri May 25 20:35:44 UTC 2012


    Date: Friday, May 25, 2012 @ 16:35:43
  Author: eric
Revision: 159610

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  moc/repos/extra-i686/PKGBUILD
    (from rev 159609, moc/trunk/PKGBUILD)
  moc/repos/extra-x86_64/PKGBUILD
    (from rev 159609, moc/trunk/PKGBUILD)
Deleted:
  moc/repos/extra-i686/PKGBUILD
  moc/repos/extra-i686/gcc-undefined-symbols.diff
  moc/repos/extra-i686/moc-ffmpeg.patch
  moc/repos/extra-x86_64/PKGBUILD
  moc/repos/extra-x86_64/gcc-undefined-symbols.diff
  moc/repos/extra-x86_64/moc-ffmpeg.patch

-----------------------------------------+
 extra-i686/PKGBUILD                     |  100 ++++++++++++++++--------------
 extra-i686/gcc-undefined-symbols.diff   |   12 ---
 extra-i686/moc-ffmpeg.patch             |   26 -------
 extra-x86_64/PKGBUILD                   |  100 ++++++++++++++++--------------
 extra-x86_64/gcc-undefined-symbols.diff |   12 ---
 extra-x86_64/moc-ffmpeg.patch           |   26 -------
 6 files changed, 112 insertions(+), 164 deletions(-)

Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2012-05-25 20:35:18 UTC (rev 159609)
+++ extra-i686/PKGBUILD	2012-05-25 20:35:43 UTC (rev 159610)
@@ -1,44 +0,0 @@
-# $Id$
-# Maintainer: Eric Bélanger <eric at archlinux.org>
-
-pkgname=moc
-pkgver=20110528
-pkgrel=5
-pkgdesc="An ncurses console audio player with support for the mp3, ogg, and wave formats"
-arch=('i686' 'x86_64')
-url="http://moc.daper.net/"
-license=('GPL')
-depends=('libmad' 'libid3tag' 'jack' 'curl' 'libltdl' 'file')
-makedepends=('speex' 'ffmpeg' 'taglib' 'libmpcdec' 'wavpack' 'libmodplug')
-optdepends=('speex: for using the speex plugin' 
-	    'ffmpeg: for using the ffmpeg plugin'
-	    'taglib: for using the musepack plugin' 
-	    'libmpcdec: for using the musepack plugin' 
-            'wavpack: for using the wavpack plugin' 
-	    'libmodplug: for using the modplug plugin')
-options=('!libtool')
-source=(ftp://ftp.archlinux.org/other/moc/${pkgname}-${pkgver}.tar.xz \
-        gcc-undefined-symbols.diff moc-ffmpeg.patch)
-sha1sums=('f79049136ce6616bfd6af2f5e08246a5921441cf'
-          'a811a4ac7e049914aab528d3f06a6be6634c2720'
-          'f7e8eb17a89fea1c08c8a68f5afd1ffdc641ce9d')
-
-build() {
-  cd "${srcdir}/${pkgname}"
-  patch -p0 -i ../gcc-undefined-symbols.diff
-  patch -p0 -i ../moc-ffmpeg.patch
-
-# Disabling aac to use the external ffmpeg to play them (FS#13164)
-  ./autogen.sh
-  ./configure --prefix=/usr --without-rcc --without-aac \
-    --with-oss  --with-alsa  --with-jack --with-mp3 \
-    --with-musepack --with-vorbis --with-flac --with-wavpack \
-    --with-sndfile --with-modplug --with-ffmpeg --with-speex \
-    --with-samplerate --with-curl --disable-debug
-  make
-}
-
-package() {
-  cd "${srcdir}/${pkgname}"
-  make DESTDIR="${pkgdir}" install
-}

Copied: moc/repos/extra-i686/PKGBUILD (from rev 159609, moc/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2012-05-25 20:35:43 UTC (rev 159610)
@@ -0,0 +1,56 @@
+# $Id$
+# Maintainer: Eric Bélanger <eric at archlinux.org>
+
+pkgname=moc
+pkgver=20120224
+pkgrel=1
+pkgdesc="An ncurses console audio player with support for the mp3, ogg, and wave formats"
+arch=('i686' 'x86_64')
+url="http://moc.daper.net/"
+license=('GPL')
+depends=('libmad' 'libid3tag' 'jack' 'curl' 'libltdl' 'file')
+makedepends=('speex' 'ffmpeg' 'taglib' 'libmpcdec' 'wavpack' 'libmodplug')
+optdepends=('speex: for using the speex plugin' 
+	    'ffmpeg: for using the ffmpeg plugin'
+	    'taglib: for using the musepack plugin' 
+	    'libmpcdec: for using the musepack plugin' 
+            'wavpack: for using the wavpack plugin' 
+	    'libmodplug: for using the modplug plugin')
+options=('!libtool')
+source=(ftp://ftp.archlinux.org/other/moc/${pkgname}-${pkgver}.tar.xz{,.sig})
+sha1sums=('8ad3521d99fe6f2514907088c70e50c84ec09b46'
+          'e8b2396d99692b0c4f85971d3fa6f5aecb1eb9d3')
+
+# source PKGBUILD && mksource
+mksource() {
+  [[ -x /usr/bin/svn ]] || (echo "svn not found. Install subversion." && return 1)
+  _svnver=2412
+  _svntrunk="svn://daper.net/moc/trunk"
+  _svnmod="${pkgname}-${pkgver}"
+  mkdir ${pkgname}-${pkgver}
+  pushd ${pkgname}-${pkgver}
+  svn co ${_svntrunk} --config-dir ./ -r ${_svnver} ${_svnmod}
+  find . -depth -type d -name .svn -exec rm -rf {} \;
+  tar -cJf ../${pkgname}-${pkgver}.tar.xz ${pkgname}-${pkgver}/*
+  popd
+  rm -r ${pkgname}-${pkgver}
+  gpg --detach-sign --use-agent -u ${GPGKEY} ${pkgname}-${pkgver}.tar.xz
+}
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
+# Disabling aac to use the external ffmpeg to play them (FS#13164)
+  autoreconf -i
+  ./configure --prefix=/usr --without-rcc --without-aac \
+    --with-oss  --with-alsa  --with-jack --with-mp3 \
+    --with-musepack --with-vorbis --with-flac --with-wavpack \
+    --with-sndfile --with-modplug --with-ffmpeg --with-speex \
+    --with-samplerate --with-curl --disable-debug
+  make
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+}

Deleted: extra-i686/gcc-undefined-symbols.diff
===================================================================
--- extra-i686/gcc-undefined-symbols.diff	2012-05-25 20:35:18 UTC (rev 159609)
+++ extra-i686/gcc-undefined-symbols.diff	2012-05-25 20:35:43 UTC (rev 159610)
@@ -1,12 +0,0 @@
---- decoder.c~	2011-05-08 09:28:28.077137883 +0200
-+++ decoder.c	2011-05-10 21:40:48.887941968 +0200
-@@ -259,6 +259,9 @@
- 	for (i = 0; i < plugins_num; i++)
- 		if (plugins[i].decoder->destroy)
- 			plugins[i].decoder->destroy ();
-+	for (i = 0; i < plugins_num; i++)
-+		if (plugins[i].handle)
-+                    lt_dlclose(plugins[i].handle);
- 
- 	if (lt_dlexit())
- 		logit ("lt_exit() failed: %s", lt_dlerror());

Deleted: extra-i686/moc-ffmpeg.patch
===================================================================
--- extra-i686/moc-ffmpeg.patch	2012-05-25 20:35:18 UTC (rev 159609)
+++ extra-i686/moc-ffmpeg.patch	2012-05-25 20:35:43 UTC (rev 159610)
@@ -1,26 +0,0 @@
-Index: decoder_plugins/ffmpeg/ffmpeg.c
-===================================================================
---- decoder_plugins/ffmpeg/ffmpeg.c	(revision 2307)
-+++ decoder_plugins/ffmpeg/ffmpeg.c	(working copy)
-@@ -28,12 +28,6 @@
- #include <ffmpeg/avformat.h>
- #endif
- 
--/* libavformat's API will be changing at version 53, but at present there
-- * appears to be no guidance on what will replace the deprecated fields. */
--#ifndef FF_API_OLD_METADATA
--#define FF_API_OLD_METADATA            (LIBAVFORMAT_VERSION_MAJOR < 53)
--#endif
--
- /* FFmpeg also likes common names, without that, our common.h and log.h
-  * would not be included. */
- #undef COMMON_H
-@@ -137,7 +131,7 @@
- 	av_read_play (data->ic);
- 	for (i = 0; i < data->ic->nb_streams; i++) {
- 		data->enc = data->ic->streams[i]->codec;
--		if (data->enc->codec_type == CODEC_TYPE_AUDIO) {
-+		if (data->enc->codec_type == AVMEDIA_TYPE_AUDIO) {
- 			audio_index = i;
- 			break;
- 		}

Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2012-05-25 20:35:18 UTC (rev 159609)
+++ extra-x86_64/PKGBUILD	2012-05-25 20:35:43 UTC (rev 159610)
@@ -1,44 +0,0 @@
-# $Id$
-# Maintainer: Eric Bélanger <eric at archlinux.org>
-
-pkgname=moc
-pkgver=20110528
-pkgrel=5
-pkgdesc="An ncurses console audio player with support for the mp3, ogg, and wave formats"
-arch=('i686' 'x86_64')
-url="http://moc.daper.net/"
-license=('GPL')
-depends=('libmad' 'libid3tag' 'jack' 'curl' 'libltdl' 'file')
-makedepends=('speex' 'ffmpeg' 'taglib' 'libmpcdec' 'wavpack' 'libmodplug')
-optdepends=('speex: for using the speex plugin' 
-	    'ffmpeg: for using the ffmpeg plugin'
-	    'taglib: for using the musepack plugin' 
-	    'libmpcdec: for using the musepack plugin' 
-            'wavpack: for using the wavpack plugin' 
-	    'libmodplug: for using the modplug plugin')
-options=('!libtool')
-source=(ftp://ftp.archlinux.org/other/moc/${pkgname}-${pkgver}.tar.xz \
-        gcc-undefined-symbols.diff moc-ffmpeg.patch)
-sha1sums=('f79049136ce6616bfd6af2f5e08246a5921441cf'
-          'a811a4ac7e049914aab528d3f06a6be6634c2720'
-          'f7e8eb17a89fea1c08c8a68f5afd1ffdc641ce9d')
-
-build() {
-  cd "${srcdir}/${pkgname}"
-  patch -p0 -i ../gcc-undefined-symbols.diff
-  patch -p0 -i ../moc-ffmpeg.patch
-
-# Disabling aac to use the external ffmpeg to play them (FS#13164)
-  ./autogen.sh
-  ./configure --prefix=/usr --without-rcc --without-aac \
-    --with-oss  --with-alsa  --with-jack --with-mp3 \
-    --with-musepack --with-vorbis --with-flac --with-wavpack \
-    --with-sndfile --with-modplug --with-ffmpeg --with-speex \
-    --with-samplerate --with-curl --disable-debug
-  make
-}
-
-package() {
-  cd "${srcdir}/${pkgname}"
-  make DESTDIR="${pkgdir}" install
-}

Copied: moc/repos/extra-x86_64/PKGBUILD (from rev 159609, moc/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2012-05-25 20:35:43 UTC (rev 159610)
@@ -0,0 +1,56 @@
+# $Id$
+# Maintainer: Eric Bélanger <eric at archlinux.org>
+
+pkgname=moc
+pkgver=20120224
+pkgrel=1
+pkgdesc="An ncurses console audio player with support for the mp3, ogg, and wave formats"
+arch=('i686' 'x86_64')
+url="http://moc.daper.net/"
+license=('GPL')
+depends=('libmad' 'libid3tag' 'jack' 'curl' 'libltdl' 'file')
+makedepends=('speex' 'ffmpeg' 'taglib' 'libmpcdec' 'wavpack' 'libmodplug')
+optdepends=('speex: for using the speex plugin' 
+	    'ffmpeg: for using the ffmpeg plugin'
+	    'taglib: for using the musepack plugin' 
+	    'libmpcdec: for using the musepack plugin' 
+            'wavpack: for using the wavpack plugin' 
+	    'libmodplug: for using the modplug plugin')
+options=('!libtool')
+source=(ftp://ftp.archlinux.org/other/moc/${pkgname}-${pkgver}.tar.xz{,.sig})
+sha1sums=('8ad3521d99fe6f2514907088c70e50c84ec09b46'
+          'e8b2396d99692b0c4f85971d3fa6f5aecb1eb9d3')
+
+# source PKGBUILD && mksource
+mksource() {
+  [[ -x /usr/bin/svn ]] || (echo "svn not found. Install subversion." && return 1)
+  _svnver=2412
+  _svntrunk="svn://daper.net/moc/trunk"
+  _svnmod="${pkgname}-${pkgver}"
+  mkdir ${pkgname}-${pkgver}
+  pushd ${pkgname}-${pkgver}
+  svn co ${_svntrunk} --config-dir ./ -r ${_svnver} ${_svnmod}
+  find . -depth -type d -name .svn -exec rm -rf {} \;
+  tar -cJf ../${pkgname}-${pkgver}.tar.xz ${pkgname}-${pkgver}/*
+  popd
+  rm -r ${pkgname}-${pkgver}
+  gpg --detach-sign --use-agent -u ${GPGKEY} ${pkgname}-${pkgver}.tar.xz
+}
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
+# Disabling aac to use the external ffmpeg to play them (FS#13164)
+  autoreconf -i
+  ./configure --prefix=/usr --without-rcc --without-aac \
+    --with-oss  --with-alsa  --with-jack --with-mp3 \
+    --with-musepack --with-vorbis --with-flac --with-wavpack \
+    --with-sndfile --with-modplug --with-ffmpeg --with-speex \
+    --with-samplerate --with-curl --disable-debug
+  make
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+}

Deleted: extra-x86_64/gcc-undefined-symbols.diff
===================================================================
--- extra-x86_64/gcc-undefined-symbols.diff	2012-05-25 20:35:18 UTC (rev 159609)
+++ extra-x86_64/gcc-undefined-symbols.diff	2012-05-25 20:35:43 UTC (rev 159610)
@@ -1,12 +0,0 @@
---- decoder.c~	2011-05-08 09:28:28.077137883 +0200
-+++ decoder.c	2011-05-10 21:40:48.887941968 +0200
-@@ -259,6 +259,9 @@
- 	for (i = 0; i < plugins_num; i++)
- 		if (plugins[i].decoder->destroy)
- 			plugins[i].decoder->destroy ();
-+	for (i = 0; i < plugins_num; i++)
-+		if (plugins[i].handle)
-+                    lt_dlclose(plugins[i].handle);
- 
- 	if (lt_dlexit())
- 		logit ("lt_exit() failed: %s", lt_dlerror());

Deleted: extra-x86_64/moc-ffmpeg.patch
===================================================================
--- extra-x86_64/moc-ffmpeg.patch	2012-05-25 20:35:18 UTC (rev 159609)
+++ extra-x86_64/moc-ffmpeg.patch	2012-05-25 20:35:43 UTC (rev 159610)
@@ -1,26 +0,0 @@
-Index: decoder_plugins/ffmpeg/ffmpeg.c
-===================================================================
---- decoder_plugins/ffmpeg/ffmpeg.c	(revision 2307)
-+++ decoder_plugins/ffmpeg/ffmpeg.c	(working copy)
-@@ -28,12 +28,6 @@
- #include <ffmpeg/avformat.h>
- #endif
- 
--/* libavformat's API will be changing at version 53, but at present there
-- * appears to be no guidance on what will replace the deprecated fields. */
--#ifndef FF_API_OLD_METADATA
--#define FF_API_OLD_METADATA            (LIBAVFORMAT_VERSION_MAJOR < 53)
--#endif
--
- /* FFmpeg also likes common names, without that, our common.h and log.h
-  * would not be included. */
- #undef COMMON_H
-@@ -137,7 +131,7 @@
- 	av_read_play (data->ic);
- 	for (i = 0; i < data->ic->nb_streams; i++) {
- 		data->enc = data->ic->streams[i]->codec;
--		if (data->enc->codec_type == CODEC_TYPE_AUDIO) {
-+		if (data->enc->codec_type == AVMEDIA_TYPE_AUDIO) {
- 			audio_index = i;
- 			break;
- 		}




More information about the arch-commits mailing list